Subject: bug#32378: [PATCH] bibtex-next/previous-entry

From: Noam Postavsky <[email-masked]>
Date: Mon, 20 Aug 2018 20:47:25 -0400

Alex Branham <[email-masked]> writes:

> On Sun 12 Aug 2018 at 12:41, Noam Postavsky <[email-masked]> wrote:
>
>> Would it make sense to use [remap forward-paragraph] and [remap
>> backward-paragraph] instead of "\M-\}" and "\M-\{"?  (I guess the
>> question is how "paragraph-like" are these movement commands)
>
> Yes, that probably makes sense. Revised patch attached.

>  etc/NEWS                 |  5 +++++
>  lisp/textmodes/bibtex.el | 18 ++++++++++++++++++

> ++++
> +** bibtex
> +*** New commands bibtex-next-entry and bibtex-previous-entry
> +They are bound to M-{ and M-} in bibtex-mode-map.

I guess the NEWS entry should be revised as well.  I notice you put
"+++" but haven't made any manual updates, did you mean "---" instead
(i.e., no manual updates are required)?

> +    (define-key km [remap forward-paragraph] 'bibtex-next-entry)
> +    (define-key km [remap backward-paragraph] 'bibtex-previous-entry)